
{% extends "base.html" %}
{% load static %}
{% load filters %}
{% block resource %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/consulting.css' %}"/>
{% endblock %}
{% block title %}Post Detail{% endblock %}
{% block head_script %}
   
{% endblock %}

{% block nav_brand %}
    <a class="navbar-brand" href="{% url 'main:index' %}" style="color: #dedede">SmartPlanting</a>
    <span class="vl"></span>
{% endblock %}

{% block nav_items %}
    <li class="nav-item">
        <a class="nav-link title1 active" href="{% url 'main:consulting' %}">Consulting</a>
    </li>
    <li class="nav-item">
        <a class="nav-link title2" href="{% url 'main:create_post' %}">New Post</a>
    </li>
{% endblock %}

{% block content %}
<div>

<div
    style="margin-left:15%;margin-right:15%;"
    <ul>
        <h2
            style="text-align: center; font-size:45px">
                {{ post.title }}
        </h2>
        <div>
            <small>
            
            <div style="display:inline-block; text-align: center; width: 100%;">
                <small> Views: {{post.post_views}} </small> | 
                <small> Comments: {{post.num_comments}} </small> | 
                <small> Author: {{post.author}} </small> |
                <small> Date: {{post.date_added}}(UTC) </small>
            </div>

            </small>
        </div>
        <HR style="FILTER: alpha(opacity=0,finishopacity=100,style=1)" width="100%" color=#987cb9 SIZE=3>
        <br/> 
        <br/>

        {% if post.image %}
        
        <img style="display: block; margin-left: auto;margin-right: auto; width: 50%;" src = "{{ post.image.url }}">
        <br/><br/>
        {% endif %}
        
        <h3 style="display:contents; font-size:23px;font-family:verdana"> {{ post.content|linebreaks }} </h3>
        <br/>
         
        <HR style="FILTER: alpha(opacity=0,finishopacity=100,style=1)" width="100%" color=#987cb9 SIZE=3>
        
        <br/>
        
        <form action = "{% url 'main:like_post' post.pk %}"
        method="POST">
        {% csrf_token %}
        <button type="submit" src="/media/like_images.png" name="post_id" class="btn btn-primary btn-sm" value="{{ post.id }}" /> 
        {% for user in post.likes.all %}
            {% if user.name == request.session.username %}
                Cancel
            {% endif %}
        {% endfor %}
        like
        </button>
        -
        <img style="height:25px;display: inline-block;" src="/media/like_images.png">
        {{ num_likes }} 
        Likes
        
        </form>
        <br/><br/>
        <h1 style="text-align: center;color:white;background-color:#114934">
            Comments......
        </h1>
        <br/>
        {% if not post.comments.all %}
                No Comments Yet... Be the first to comment on this
                <br/><a href="{% url 'main:add_comment' post.pk %}">Add Comment</a>
        {% else %}
            
            <br/>
            <div style="display:inline-block; width: 1000px; height: 600px;">
                {% for comment in post.comments.all %}
                
                <img style="float:left; display: block; height: 15%; width: 9%; border-radius: 50%;" src = "{{comment.get_user.profile.url}}"><br/>
            
                <strong>
                    &nbsp {{comment.name}}<br/>
                    &nbsp {{comment.date_added}}
                </strong>
                <hr>
                <br/>
                {{comment.content|linebreaks}}
                <br/>
                <br/>
                
                {% endfor %}
            </div>
                <!--
                    <a href="{% url 'main:add_comment' post.pk %}"><div style="text-align:center">
                    Add Comment
                </div>
                -->
                <br/><br/>
                <a href="{% url 'main:add_comment' post.pk %}">Add Comment</a>
                
        {% endif %}
        

        <br/><br/><br/><br/>
        <a href="{% url 'main:consulting' %}">Back</a><br/><br/>
    </ul>
</div>
{% endblock %}